set terminal png size 1024,800
set grid
set ylabel "Temperatur Grad Celsius"
set output "all-temp-sensors.png"
set xdata time
set timefmt '%Y %m %d %H %M %S"
set format x "%H:%M"
set timestamp "Last updated: %d.%m.%y %H:%M"
#set size 1.2,1
plot 'data.log' every 2 using 1:7 title "DHT11" smooth csplines 11,\
  'data.log' every 2 using 1:8 title 'DHT22' smooth csplines 9,\
  'data.log' every 2 using 1:9 title "DHT33" smooth csplines 1,\
  'data.log' every 2 using 1:10 title 'DS18B20' smooth csplines 2,\
  'data.log' every 2 using 1:11 title 'Thermistor1' smooth csplines 4,\
  'data.log' every 2 using 1:12 title 'Thermistor2' smooth csplines 5,\
  'data.log' every 2 using 1:13 title "TMP36" smooth csplines 3,\
  'data.log' every 2 using 1:17 title "External T" smooth csplines 6


set terminal png size 1024,800
set grid
set ylabel "Relative Feuchte %"
set output "all-hum-sensors.png"
set xdata time
set timefmt '%Y %m %d %H %M %S"
set format x "%H:%M"
set timestamp "Last updated: %d.%m.%y %H:%M"
#set size 1.2,1
plot 'data.log' every 1 using 1:14 title "DHT11" smooth csplines 12,\
  'data.log' every 1 using 1:15 title 'DHT22' smooth csplines 9,\
  'data.log' every 1 using 1:16 title "DHT33" smooth csplines 1,\
  'data.log' every 1 using 1:18 title "External H" smooth csplines 6


set terminal png size 1024,600
set grid
set ylabel "Temperatur Grad Celsius"
set output "all-temp-sensors-small.png"
set xdata time
set timefmt '%Y %m %d %H %M %S"
set format x "%H:%M"
set timestamp "Last updated: %d.%m.%y %H:%M"
#set size 1.2,1
plot '< tail -n 3000 data.log' every 1 using 1:7 title "DHT11" smooth csplines 11,\
  '< tail -n 3000 data.log' every 1 using 1:8 title 'DHT22' smooth csplines 9,\
  '< tail -n 3000 data.log' every 1 using 1:9 title "DHT33" smooth csplines 1,\
  '< tail -n 3000 data.log' every 1 using 1:10 title 'DS18B20' smooth csplines 2,\
  '< tail -n 3000 data.log' every 1 using 1:11 title 'Thermistor1' smooth csplines 4,\
  '< tail -n 3000 data.log' every 1 using 1:12 title 'Thermistor2' smooth csplines 5,\
  '< tail -n 3000 data.log' every 1 using 1:13 title "TMP36" smooth csplines 3,\
  '< tail -n 3000 data.log' every 1 using 1:17 title "External T" smooth csplines 6


